Skip to main content
BlueAI
Home/Sign/Audit Logs

Audit Logs

Retrieve operation history (sent, viewed, signed, etc.) for documents.

|

Endpoints

GET/api/v1/sign/documents/{id}/audit-logsList audit logs
GET/api/v1/sign/audit-logsList audit logs
GET/api/v1/sign/documents/{id}/audit-logs

List audit logs

Authentication requiredInclude session cookie or Bearer token

Path Parameters

NameTypeRequiredDescription
id
stringOptionalDocument ID

Query Parameters

NameTypeRequiredDescription
action
stringOptionalFilter by action (create / update / delete)
limit
integerOptionalNumber of items to return (default: 50, max: 200)
offset
integerOptionalNumber of items to skip

Response Fields

NameTypeRequiredDescription
items
AuditLog[]OptionalList of audit logs
total
integerOptionalTotal count
limit
integerOptionalNumber of items returned
offset
integerOptionalNumber of items skipped

Code Examples

curl "https://api.blueai.jp/api/v1/sign/documents/doc_123e4567e89b12d3a456426614174000/audit-logs" \
  -H "Cookie: better-auth.session_token=<token>"
GET/api/v1/sign/audit-logs

List audit logs

Retrieve audit logs across the entire Sign domain.

Authentication requiredInclude session cookie or Bearer token

Query Parameters

NameTypeRequiredDescription
entity_type
stringOptionalFilter by entity type
entity_id
stringOptionalFilter by entity ID
action
stringOptionalFilter by action (create / update / delete)
limit
integerOptionalNumber of items to return (default: 50, max: 200)
offset
integerOptionalNumber of items to skip

Response Fields

NameTypeRequiredDescription
items
AuditLog[]OptionalList of audit logs
total
integerOptionalTotal count
limit
integerOptionalNumber of items returned
offset
integerOptionalNumber of items skipped

Code Examples

curl "https://api.blueai.jp/api/v1/sign/audit-logs" \
  -H "Cookie: better-auth.session_token=<token>"